package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel("票据冲红dto")
public class PjchDto {

    @ApiModelProperty("用户编号")
    private String yhbh;

    @ApiModelProperty("客户编码(大客户)")
    private String khbm;

    @ApiModelProperty("收费流水编号")
    private String sflsbh;

    @ApiModelProperty("实收金额")
    private BigDecimal sszje;

    @ApiModelProperty("冲红人员编码")
    private String chrybm;

    @ApiModelProperty("冲红人员姓名")
    private String chryxm;

    @ApiModelProperty("?")
    private String sflsbh1;

    @ApiModelProperty("冲红时间")
    private Date chsj;

    @ApiModelProperty("冲红处理结果: ")
    private Integer result = 0;

    public static PjchDto build(String yhbh, String sflsbh, BigDecimal sszje, String chrybm, String chryxm, String sflsbh1, Date chsj, String khbm) {
        PjchDto pjchDto = new PjchDto();
        pjchDto.setYhbh(yhbh);
        pjchDto.setSflsbh(sflsbh);
        pjchDto.setSszje(sszje);
        pjchDto.setChrybm(chrybm);
        pjchDto.setChryxm(chryxm);
        pjchDto.setSflsbh1(sflsbh1);
        pjchDto.setChsj(chsj);
        pjchDto.setKhbm(khbm);
        return pjchDto;
    }

}
